Galon Cloud
Galon API v1

/mail-pro/mailboxes

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /mail-pro/mailboxes

List Mail Pro mailboxes

Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes.

API key (Bearer), on the public API endpoint.

Responses

StatusDescriptionBody
200Project mailboxesobject
401Key missing or invalidError

Examples

curl

curl -X GET "$GALON_API_BASE/mail-pro/mailboxes" \
  -H "Authorization: Bearer $GALON_API_KEY"

POST /mail-pro/mailboxes

Create a Mail Pro mailbox

Scopes mailpro:read / mailpro:write. Galon Mail Pro (hosted mailboxes) is served only when the service is open to the account (404 not_found otherwise). Errors: envelope {"error": {code, message_key, retryable, ...}}, mailpro.* codes. Password, or activation link (activation: true).

API key (Bearer), on the public API endpoint.

Request body

application/json

FieldTypeDescription
domain_idstring · required
local_partstring · required
display_namestring · required
quota_mibinteger
passwordstring
activationboolean

Responses

StatusDescriptionBody
201Mailbox createdobject
401Key missing or invalidError

Examples

curl

curl -X POST "$GALON_API_BASE/mail-pro/mailboxes" \
  -H "Authorization: Bearer $GALON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"domain_id": "string", "local_part": "string", "display_name": "string"}'